Skip to content
Start here

Get Chrome DevTools Protocol schema.

client.browserRendering.devtools.browser.protocol(stringsessionId, BrowserProtocolParams { account_id } params, RequestOptionsoptions?): BrowserProtocolResponse { domains, version }
GET/accounts/{account_id}/browser-rendering/devtools/browser/{session_id}/json/protocol

Returns the complete Chrome DevTools Protocol schema including all domains, commands, events, and types. This schema describes the entire CDP API surface.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Browser Rendering WriteBrowser Rendering Read
ParametersExpand Collapse
sessionId: string

Browser session ID.

formatuuid
params: BrowserProtocolParams { account_id }
account_id: string

Account ID.

ReturnsExpand Collapse
BrowserProtocolResponse { domains, version }
domains: Array<Domain>

List of protocol domains.

domain: string

Domain name.

commands?: Array<Record<string, unknown>>

Available commands.

dependencies?: Array<string>

Domain dependencies.

events?: Array<Record<string, unknown>>

Available events.

experimental?: boolean

Whether this domain is experimental.

types?: Array<Record<string, unknown>>

Type definitions.

version?: Version { major, minor }

Protocol version.

major: string

Major version.

minor: string

Minor version.

Get Chrome DevTools Protocol schema.

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.browserRendering.devtools.browser.protocol(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  { account_id: 'account_id' },
);

console.log(response.domains);
{
  "domains": [
    {
      "domain": "domain",
      "commands": [
        {
          "foo": {}
        }
      ],
      "dependencies": [
        "string"
      ],
      "events": [
        {
          "foo": {}
        }
      ],
      "experimental": true,
      "types": [
        {
          "foo": {}
        }
      ]
    }
  ],
  "version": {
    "major": "major",
    "minor": "minor"
  }
}
Returns Examples
{
  "domains": [
    {
      "domain": "domain",
      "commands": [
        {
          "foo": {}
        }
      ],
      "dependencies": [
        "string"
      ],
      "events": [
        {
          "foo": {}
        }
      ],
      "experimental": true,
      "types": [
        {
          "foo": {}
        }
      ]
    }
  ],
  "version": {
    "major": "major",
    "minor": "minor"
  }
}